## easychem 0.6

=== graph/Makefile ===
all: text_center.c text_left.c text_right.c arrowhead_right.c nohead_right.c semihead_right1.c semihead_right2.c arrowhead_left.c nohead_left.c semihead_left1.c semihead_left2.c 

%.c: %.png
	gdk-pixbuf-csource --raw --name=graph_$* $*.png > $*.c

clean:
	-rm *.c

=== po/Makefile ===
all: fr.mo

%.mo: %.po
	msgfmt -o $*.mo $*.po 

clean:
	-rm *.mo

=== postscript/Makefile ===
all: preamble.c times.c cm.c cmi.c cmb.c cmbi.c cm_common.c

%.c: %.ps
#	sed -e 's#$$#\\n", file);#' $*.ps | sed -e 's#^#fputs ("#' > $*.c
	sed -e 's/%.*$$//' $*.ps | perl -e 'while(<>){chomp; if (/^ *%/) {print "\n$$_\n";} else {print "$$_ ";}}' | sed -e 's#$$#\\n", file);\n#' | sed -e 's#^#fputs ("#' | sed -e 's/  */ /g' > $*.c


clean:
	-rm *.c

=== debian/changelog ===
easychem (0.6-9build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:06 +1100

easychem (0.6-9build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:15:33 +0000

easychem (0.6-9) unstable; urgency=medium

  * Team Upload.
  [ Prathibha B ]
  * Fix Vcs-* fields in debian/control after migrating package to Git.

  [ Nilesh Patra ]
  * Do not hardcode pkg-config to fix non cross-buildability

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 18:08:25 +0530

easychem (0.6-8) unstable; urgency=low

  * debian/control: Removed DM-Upload-Allowed field.
    (Standards-Version): Bumped to 3.9.4.
  * debian/rules: Enabled hardening.
  * debian/patches/fix_makefiles.patch: Updated.
    - Fixed flag order and added -lm.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 19 May 2013 20:48:00 +0200

easychem (0.6-7) unstable; urgency=low

  * debian/compat: Bumped compatibility level to 7.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to recent 3.9.3.
    (Vcs-Browser): Fixed.
    (Build-Depends): Dropped dpatch and increased required debhelper version.
    (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/rules: Rewritten for dh 7.
  * debian/README.source: Dropped obsolete file.
  * debian/patches/01_fix_bug_380210_fix_buffer_overflow.dpatch: Renamed to
    debian/patches/fix_bug_380210_fix_buffer_overflow.patch.
  * debian/patches/02_fix_locale_initialization.dpatch: Renamed to
    debian/patches/fix_locale_initialization.patch.
  * debian/patches/03_fix_bond_and_arrow_fixes.dpatch: Renamed to
    debian/patches/fix_bond_and_arrow_fixes.patch.
  * debian/patches/04_fix_bug_380210_fix_export_..._detection.dpatch: Renamed
    to debian/patches/fix_bug_380210_fix_export_..._detection.patch.
  * debian/patches/90_fix_makefiles.dpatch: Renamed to
    debian/patches/fix_makefiles.patch.
  * debian/patches/91_translation_updates_and_fixes.dpatch: Renamed to
    debian/patches/translation_updates_and_fixes.patch.
  * debian/patches/92_fix_bug_536388_fix_export_eps.dpatch: Renamed to
    debian/patches/fix_bug_536388_fix_export_eps.patch.
  * debian/patches/fix_include_locale_h.patch: Added.
    - common.h: Include locale.h to fix an FTBFS.
  * debian/patches/00list: Quilt transition. Renamed to debian/patches/series
    and adjusted.
  * debian/source/format: Transition to source format 3.0 (closes: #661046).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 30 Apr 2012 01:26:58 +0200

easychem (0.6-6) unstable; urgency=low

  * debian/control (Build-Depends): Dropped toolchain to produce manual page
    from DocBook XML source.
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
    (Standards-Version): Bumped to 3.8.3.
  * debian/copyright: Fixed copyright-refers-to-versionless-license-file.
  * debian/easychem.1: Rewritten.
  * debian/easychem.1.xml: Dropped in favour of debian/easychem.1.
  * debian/rules: Dropped obsolete manual page related targets. Clean-up.
  * debian/README.source: Added to make lintian happy.
  * debian/patches/92_fix_bug_536388_fix_export_eps.dpatch: Added with thanks
    to Mickael Profeta.
    - postscript/preamble.ps: Fix bond positioning (closes: #536388).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 29 Aug 2009 15:15:47 +0200

easychem (0.6-5) unstable; urgency=low

  * debian/compat: Raised level to 5.
  * debian/control: Homepage and Vcs fields transition. Added
    DM-Upload-Allowed for DM status.
    (Maintainer): Set the debichem team as maintainer.
    (Build-Depends): Raise debhelper version.
    (Standards-Version): Update to 3.7.3 (no other changes).
  * debian/easychem.1.xml: Minor typo fix.
  * debian/easychem.1: Ditto (updated from XML).
  * debian/easychem_icon.xpm: Renamed to debian/easychem.xpm (closes:
    #466999).
  * debian/easychem.install: Fixed icon name.
  * debian/easychem.menu (icon): Ditto.
  * debian/rules: Added some LDFLAGS magic to drop some useless dependencies.
  * debian/patches/90_fix_makefiles.dpatch: Updated.
    - Makefile.linux: Added LDFLAGS to link target.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 22 Feb 2008 16:22:15 +0100

easychem (0.6-4) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Added XS-Vcs-Browser and XS-Vcs-Svn fields.
    (Build-Depends): Added docbook-xml to avoid warning.
  * debian/easychem.1: Added, so it will not be recreated.
  * debian/easychem.1.xml: Removed date tag. Adjusted copyright.
  * debian/easychem.desktop: Removed Encoding key to comply to the latest
    freedesktop.org Desktop Entry Specification 1.0.
  * debian/easychem.menu: Fixed section to comply to the latest Debian Menu
    System 1.4.
  * debian/rules: Removed some useless comments and empty lines.
    (build-stamp): Moved the manpage creation into an own target with a better
    dependency chain.
  * debian/patches/90_fix_makefiles.dpatch: Adjusted.
    - Don't strip easychem binary by default, so giving the nostrip build
      option will really lead to an unstripped binary (closes: #436782).
  * debian/watch: Added.

  [ LI Daobing ]
  * debian/rules: lintian doesn't like "-$(MAKE) clean", see bug#325372

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 09 Aug 2007 14:05:26 +0200

easychem (0.6-3) unstable; urgency=medium

  * Set urgency to medium to fix the broken export feature.
  * debian/patches/03_fix_bond_and_arrow_fixes.dpatch: Added. Thanks to
    Guillaume Burel for the patch.
    - bonds.c (add_bond): Set the ending head by default, when drawing an
      arrow.
    - dialogs.c (edit_bond): Swap the beginning/ending arrow heads, which now
      fits, what the user sees.
  * debian/patches/04_fix_bug_380210_fix_export_and_export_utils_detection.dpatch:


=== debian/control ===
Source: easychem
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Daniel Leidert <dleidert@debian.org>
Build-Depends: debhelper (>> 7.0.50~), gettext, libgtk2.0-dev
Standards-Version: 3.9.4
Homepage: http://easychem.sourceforge.net
Vcs-Browser: https://salsa.debian.org/debichem-team/easychem
Vcs-Git: https://salsa.debian.org/debichem-team/easychem.git

Package: easychem
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Draw high-quality molecules and 2D chemical formulas
 EasyChem is a program that helps you creating high quality diagrams of
 molecules and 2D chemical formulas that can be exported to PDF, PS, LaTeX
 and fig.
 .
 EasyChem was originally developed to create diagrams for chemistry books and
 is now frequently used for this purpose in commercial and non-commercial
 chemistry-related books.

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/easychem/easychem-([\d\.]+)\.tar\.gz

## easychem 0.6-5maemo1

=== po/Makefile ===
all: fr/LC_MESSAGES/easychem.mo

%/LC_MESSAGES/easychem.mo: %.po
	mkdir -p $*/LC_MESSAGES
	msgfmt -o $*/LC_MESSAGES/easychem.mo $*.po 

clean:
	-rm -rf fr

=== debian/changelog ===
easychem (0.6-5maemo1) unstable; urgency=low

  * Maemo port.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sun, 13 Jul 2008 04:22:15 +0200

=== debian/control ===
Source: easychem
Section: user/tools
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Uploaders: Michael Banck <mbanck@debian.org>, Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>= 5), dpatch, docbook-xml (>= 4.4), docbook-xsl, xsltproc, gettext, libgtk2.0-dev, libhildon1-dev, libosso-dev
Standards-Version: 3.7.3
Homepage: http://easychem.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debichem/
Vcs-Svn: svn+ssh://svn.debian.org/svn/debichem/unstable/easychem/
DM-Upload-Allowed: yes

Package: easychem
Architecture: any
Depends: ${shlibs:Depends}
Description: Draw high-quality molecules and 2D chemical formulas
 EasyChem is a program that helps you creating high quality diagrams of 
 molecules and 2D chemical formulas that can be exported to PDF, PS, LaTeX 
 and fig.
 .
 EasyChem was originally developed to create diagrams for chemistry books and 
 is now frequently used for this purpose in commercial and non-commercial 
 chemistry-related books.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAXAgAAFwIBLovCmAAAAAd0
 SU1FB9gHDQIqMU/CKFMAAAKYSURBVEjHpdXNi9ZVFAfwz4yjztiMVjTTiyAq
 YS2K0U0wQUrhwoUVtrBWCf4Dggs3gbhrU27aRC1cRBa0iYgo2gS9YPmym0gR
 TARTR8dxxqRpfJ6nzXfgevk9M/l44PD8nnvPPd9zv+fcc/owjPewG3cxjano
 NG7jD3yd/z3LNsyis4TexcdY0StIf+FsKVmB1/HUgwBNYeZ/2D6M0QcBuonL
 xdpFHMCzeDO0Ql/y2bOsxPHQ18bLVSDvZv1vPFftDUSXlYEk+lKxdrX4bgdo
 HtdxDutz42ewOgGex2f4Lf66yoE47WDfEnYb8GOXypzBoeVu+BZaOfB5jPsx
 iLHQuQHHCrvFNzdbBDmD7UsB7crBDu7gG3yFE7iV9XPF9xwO4jE8jS8KsOOh
 tFFeKYC6abtw9kPl7AmcKoLY3lTeQtGidELJWZzGZAD6orI/XxXQBwl2GIex
 qglorHDyPXZgIr874mQytMJDVcCLwbXz/yW82nSr9wuKDnahdzi37OCXiron
 caai+iTWliDrKk5XVgCP4PnYns3aCIaqHG+tzg2V9A3gDYwXBjvxKdZk721s
 xk/pi50EN1L0yO9wBC/G+QV8iBsl8mTDSLiYBLeqvbnkYbbhBn0pqjXdxsnc
 MmXdpPPYU4FM4KO8v6PJ2z3ybQ9AbbxT5fXLav9Y2Y4GcqA/JTudsTGIR6Nr
 k9iFdIYt2X8hFLVC9wm8Vry3banUe2bdIrf9xdqqgIyGhrEcvp6or2BjYT9e
 tKhOgEfqB/tPHmO7OPhvkj6Fv3ANm4rhN4b9ReJbVUp+zwy7bxlKsy1zNY29
 mVGfFL1wIROhJ9maW3caSv7PqimfzlvrSca7AJXaws/VyL9vGQw9Cw0At/Fr
 +uTjTYf/A+Nz/EpZkpVpAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

PACKAGE = easychem


CFLAGS = -Wall -g
LDFLAGS = -Wl,-z,defs -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
	LDFLAGS += -Wl,-O1
endif

build: patch-stamp build-stamp debian/easychem.1

build-stamp: debian/easychem.1
	dh_testdir
	$(MAKE) -f Makefile.linux all CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch build-stamp

debian/easychem.1: debian/easychem.1.xml
	dh_testdir
	xsltproc --param man.charmap.use.subset 0 \
	 --param make.year.ranges 1 \
	 --param make.single.year.ranges 1 \
	 --nonet -o debian/ $<

clean: clean-first unpatch

clean-first:
	dh_testdir
	dh_testroot
	-rm -f build-stamp patch-stamp
	$(MAKE) -f Makefile.linux clean
	rm -f debian/easychem.1
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	#dh_installmenu
	#dh_installman
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## easychem 0.6-5maemo3

=== debian/changelog ===
easychem (0.6-5maemo3) unstable; urgency=low

  * Fixed a new bug with undo and redo menus.
  
  * Commenting unused code.
  
  * Hildon dialogs to open and save files.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Mon, 14 Jul 2008 02:56:15 +0200

easychem (0.6-5maemo2) unstable; urgency=low

  * Fixed bug with undo and redo menus.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sun, 13 Jul 2008 20:19:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
 Uploaders: Michael Banck <mbanck@debian.org>, Daniel Leidert (dale) <daniel.leidert@wgdd.de>
-Build-Depends: debhelper (>= 5), dpatch, docbook-xml (>= 4.4), docbook-xsl, xsltproc, gettext, libgtk2.0-dev, libhildon1-dev, libosso-dev
+Build-Depends: debhelper (>= 5), dpatch, docbook-xml (>= 4.4), docbook-xsl, xsltproc, gettext, libgtk2.0-dev, libhildon1-dev, libosso-dev, libhildonfm2-dev
 Standards-Version: 3.7.3
 Homepage: http://easychem.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/

=== debian/rules ===
--- 
+++ 
@@ -33,10 +33,10 @@
 
 debian/easychem.1: debian/easychem.1.xml
 	dh_testdir
-	xsltproc --param man.charmap.use.subset 0 \
-	 --param make.year.ranges 1 \
-	 --param make.single.year.ranges 1 \
-	 --nonet -o debian/ $<
+	#xsltproc --param man.charmap.use.subset 0 \
+	# --param make.year.ranges 1 \
+	# --param make.single.year.ranges 1 \
+	# --nonet -o debian/ $<
 
 clean: clean-first unpatch

## easychem 0.6-5maemo4

=== debian/changelog ===
easychem (0.6-5maemo4) unstable; urgency=low

  * Delete maemo-select-menu-location postinst.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sat,  7 Mar 2009 14:21:15 +0100
